Innehåll

# VBA supported Data Model

LibreOffice Basic adds this set of functionalities when VBA Office support is active.

These exclusive LibreOffice VBA objects properties and methods are enabled when:

- A Basic module is set with VBAModule special attribute.

- Option VBASupport 1 compiler statement is placed before the first macro of the VBA Basic module.

A few VBA objects are supported for Excel, Powerpoint and Word application files. Limited properties and methods are available for VBA objects.

This help page needs further work for correctness and completion. Please join the LibreOffice project and help us out to write the missing information. Visit our web page on writing Help contents.

## Common objects

## Excel Objects, Properties and Methods

Excel supported VBA objects
Application Columns | Range Rows | Workbook Worksheet

### Application

Properties

- ActiveCell : Range

- ActiveSheet : Worksheet

- ActiveWorkbook : Workbook

- DefaultFilePath : String

- DisplayAlerts : Boolean

- LibraryPath : String

- Name : String

- PathSeparator : String - see GetPathSeparator function

Methods

- GetOpenFileName() As Variant - Returns False if dialog canceled.

- Quit

### Columns

Properties

- Address : String

Methods

- Item(ndx : Variant) : Column

### Range

Properties

Methods

- ExportAsFixedFormat(Optional Type : Integer = xlTypePDF, Optional FileName : String, Optional Quality : Integer = xlQualityStandard, Optional IncludeDocProperties : Boolean, Optional IgnorePrintAreas = Boolean, Optional OpenAfterPublish : Boolean)

### Rows

Properties

Methods

### Workbook

Properties

Methods

- ExportAsFixedFormat(Optional Type : Integer = xlTypePDF, Optional FileName : String, Optional Quality : Integer = xlQualityStandard, Optional IncludeDocProperties : Boolean, Optional IgnorePrintAreas = Boolean, Optional OpenAfterPublish : Boolean)

### Worksheet

Properties

Methods

- ExportAsFixedFormat(Optional Type : Integer = xlTypePDF, Optional FileName : String, Optional Quality : Integer = xlQualityStandard, Optional IncludeDocProperties : Boolean, Optional IgnorePrintAreas = Boolean, Optional OpenAfterPublish : Boolean)

## PowerPoint Objects, Properties and Methods

## Word Objects, Properties and Methods

Närliggande ämnen

VBA support in LibreOffice

VBA Properties

Exclusive VBA Functions and Statements

Option VBASupport Statement